Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.server.deployment.jboss
Class AbstractDeploymentFactory

    java.lang.Object
      org.jboss.portal.server.deployment.jboss.AbstractDeploymentFactory

All Implemented Interfaces:
  org.jboss.portal.common.net.URLFilter, DeploymentFactory

Direct Known Subclasses:
  LayoutDeploymentFactory, LayoutFeaturesDeploymentFactory, ObjectDeploymentFactory, PortletAppDeploymentFactory, ThemeDeploymentFactory

    public abstract class AbstractDeploymentFactory

extends java.lang.Object
implements DeploymentFactory, org.jboss.portal.common.net.URLFilter

Version:
  $Revision: 10284 $
Author:
  Julien Viet

Field Summary
`protected ServerDeployerMBean` | `deployer` The server deployer.
`protected org.jboss.logging.Logger` | `log` The logger.
`protected java.lang.String` | `name` The short name.
`protected boolean` | `registrationControlledByService` True if the service lifecycle controls the registration against the server deployer.
`protected java.lang.String` | `setupLocation` The location of the optional setup file.
`protected java.net.URL` | `setupURL` The setup url constructed from the setup location.

Constructor Summary
`protected` | `AbstractDeploymentFactory()` The default constructor initialize the service with the registration controlled by the service.

Method Summary
`boolean` | `acceptDir(java.net.URL url)` Accept only the WEB-INF directory by default.
`void` | `create()` Set the setup url with the resource obtained from the thread context class loader using the value of setup location if this one is not null.
`void` | `destroy()` Set to null the setup url.
`ServerDeployerMBean` | `getDeployer()`
`java.lang.String` | `getName()`
`java.lang.String` | `getSetupLocation()`
`java.net.URL` | `getSetupURL()`
`boolean` | `isRegistrationControlledByService()`
`void` | `registerFactory()` Register the factory against the server deployer and kick off the deployment of the urls that this factory can deploy.
`void` | `setDeployer(ServerDeployerMBean deployer)`
`void` | `setRegistrationControlledByService(boolean registrationControlledByService)`
`void` | `setSetupLocation(java.lang.String setupLocation)`
`void` | `start()` Register the factory only if it is controlled by the service lifecycle.
`void` | `stop()` Unregister the factory only if it is controlled by the service lifecycle.
`void` | `unregisterFactory()` Unregister the factory against the server deployer and shutdown the deployment of the urls that this factory can deploy.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.portal.server.deployment.jboss.DeploymentFactory
`newInstance`

Methods inherited from interface org.jboss.portal.common.net.URLFilter
`acceptFile`

Field Detail

### deployer

    protected ServerDeployerMBean deployer

  The server deployer.

### registrationControlledByService

    protected boolean registrationControlledByService

  True if the service lifecycle controls the registration against the server deployer.

### setupLocation

    protected java.lang.String setupLocation

  The location of the optional setup file.

### setupURL

    protected java.net.URL setupURL

  The setup url constructed from the setup location.

### name

    protected final java.lang.String name

  The short name.

### log

    protected final org.jboss.logging.Logger log

  The logger.

Constructor Detail

### AbstractDeploymentFactory

    protected AbstractDeploymentFactory()

  The default constructor initialize the service with the registration controlled by the service.

Method Detail

### getName

    public java.lang.String getName()

### acceptDir

    public boolean acceptDir(java.net.URL url)

  Accept only the WEB-INF directory by default.

  Specified by:
    `acceptDir` in interface `org.jboss.portal.common.net.URLFilter`

### getSetupLocation

    public java.lang.String getSetupLocation()

### setSetupLocation

    public void setSetupLocation(java.lang.String setupLocation)

### isRegistrationControlledByService

    public boolean isRegistrationControlledByService()

### setRegistrationControlledByService

    public void setRegistrationControlledByService(boolean registrationControlledByService)

### getDeployer

    public ServerDeployerMBean getDeployer()

### setDeployer

    public void setDeployer(ServerDeployerMBean deployer)

### registerFactory

    public void registerFactory()

  Register the factory against the server deployer and kick off the deployment of the urls that this factory can deploy.

### unregisterFactory

    public void unregisterFactory()

  Unregister the factory against the server deployer and shutdown the deployment of the urls that this factory can deploy.

### getSetupURL

    public java.net.URL getSetupURL()

### create

    public void create()
                throws java.lang.Exception

  Set the setup url with the resource obtained from the thread context class loader using the value of setup location if this one is not null.

  Throws:
    `java.lang.Exception`

### start

    public void start()
               throws java.lang.Exception

  Register the factory only if it is controlled by the service lifecycle.

  Throws:
    `java.lang.Exception`

### stop

    public void stop()

  Unregister the factory only if it is controlled by the service lifecycle.

### destroy

    public void destroy()
                 throws java.lang.Exception

  Set to null the setup url.

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD